public inbox for intel-gfx@lists.freedesktop.org
 help / color / mirror / Atom feed
* [PATCH i-g-t] tests/drv_module_reload_basic: Leave basic breadcrumbs in dmesg
@ 2016-10-06 12:08 ville.syrjala
  2016-10-06 12:17 ` Jani Nikula
  0 siblings, 1 reply; 4+ messages in thread
From: ville.syrjala @ 2016-10-06 12:08 UTC (permalink / raw)
  To: intel-gfx

From: Ville Syrjälä <ville.syrjala@linux.intel.com>

Leave the normal "executing" and "exiting" breadcrumbs into dmesg when
running the test.

Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
---
 tests/drv_module_reload_basic | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/tests/drv_module_reload_basic b/tests/drv_module_reload_basic
index 93cf7c005638..4c75f0e9614a 100755
--- a/tests/drv_module_reload_basic
+++ b/tests/drv_module_reload_basic
@@ -6,6 +6,33 @@
 #
 
 SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
+
+NAME=$(basename "$0")
+
+KERN_EMER="<0>"
+KERN_ALERT="<1>"
+KERN_CRIT="<2>"
+KERN_ERR="<3>"
+KERN_WARNING="<4>"
+KERN_NOTICE="<5>"
+KERN_INFO="<6>"
+KERN_DEBUG="<7>"
+
+function kmsg()
+{
+	echo "$1" > /dev/kmsg
+}
+
+function finish()
+{
+	exitcode=$?
+	kmsg "$KERN_INFO$NAME: exiting, ret=$exitcode"
+	exit $exitcode
+}
+trap finish EXIT
+
+kmsg "$KERN_INFO$NAME: executing"
+
 . $SOURCE_DIR/drm_lib.sh
 
 # no other drm service should be running, so we can just unbind
-- 
2.7.4

_______________________________________________
Intel-gfx mailing list
Intel-gfx@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/intel-gfx

^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2016-10-06 13:38 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-10-06 12:08 [PATCH i-g-t] tests/drv_module_reload_basic: Leave basic breadcrumbs in dmesg ville.syrjala
2016-10-06 12:17 ` Jani Nikula
2016-10-06 12:37   ` Ville Syrjälä
2016-10-06 13:37     ` Ville Syrjälä

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox